# Manuel de l'Utilisateur de &kde;

Harri
Porten

    porten@kde.org

2008-10-16
0.01.01
kjscmd
1

# `kjscmd`

Interpréteur KJSEmbed de &kde;

## Synopsis

    kjscmd --help  -e --exec   -i -interactive   -n -no-kde  fichier

## Description

`kjscmd` est un outil permettant de lancer des scripts KJSEmbed depuis la ligne de commande. Il exécutera les scripts contenus dans le `fichier` nommé en utilisant KJSEmbed. Il n'accepte pas - (stdin) comme `fichier`.

## Options de l'Application

`-e`,`--exec`

  exécute le script contenu dans le `fichier` sans interface graphique.

`-i`,`--interactive`

  lance l'interpréteur interactif `kjs`.

`-n`,`--no-kde`

  démarre sans gestion de KApplication de &kde;

## Utilisation

La façon la plus fréquente de lancer `kjscmd` est simplement

    kjscmd fichier

Si aucun paramètre `fichier` n'est saisi, il exécute le script de test prédéfini qui permet de mesurer la vitesse de démarrage de`kjscmd`.

## Voir Aussi

kjs(1)

## Bogues

Il y a probablement un tas de bogues. Utilisez bugs.kde.org pour les signaler.